import React from 'react'
import Tabs, { TabsProps } from '@material-ui/core/Tabs'
import { withStyles } from '@material-ui/core/styles'

const TabsBase = withStyles({
  root: {
    minHeight: '36px',
  },
  indicator: {
    backgroundColor: 'var(--textBright)',
  },
})(Tabs)

type StyledWhiteTabsProps = TabsProps

const StyledWhiteTabs: React.ComponentType<StyledWhiteTabsProps> = ({
  ...props
}: StyledWhiteTabsProps) => {
  return <TabsBase {...props}>{props.children}</TabsBase>
}

export default StyledWhiteTabs
