import React from 'react'
import { translate } from 'cozy-ui/react/I18n'
import Lottie from 'react-lottie'

import * as loadingData from 'assets/anims/bounceloading.json'

const loadingOptions = {
  loop: true,
  autoplay: true,
  animationData: loadingData,
  rendererSettings: {
    preserveAspectRatio: 'xMidYMid slice',
  },
}

interface KonnectorLoadingProps {
  t: Function
}

const KonnectorLoading: React.FC<KonnectorLoadingProps> = ({
  t,
}: KonnectorLoadingProps) => {
  return (
    <div className="kload-content">
      <Lottie options={loadingOptions} height={50} width={50} />
      <div className="kload-content-text text-16-normal">
        <div>{t('KONNECTORCONFIG.PLZ_WAIT')}</div>
      </div>
      <div className="kload-content-text text-16-normal">
        <div>{t('KONNECTORCONFIG.LOADING_DATA')}</div>
      </div>
    </div>
  )
}

export default translate()(KonnectorLoading)
